# $Revision: 1.25 $, $Date: 2009/11/06 14:18:34 $
%define		_lang		es
Summary:	Spanish resources for Iceweasel
Summary(ca.UTF-8):	Recursos espanyols per Iceweasel
Summary(es.UTF-8):	Recursos españoles para Iceweasel
Summary(pl.UTF-8):	Hiszpańskie pliki językowe dla Iceweasela
Name:		iceweasel-lang-%{_lang}
Version:	3.5.5
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		I18n
Source0:	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/es-ES.xpi
# Source0-md5:	69690daf3c75b8acfe64e837bc210f72
URL:		http://www.mozilla.org/
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	zip
Requires:	iceweasel >= %{version}
Provides:	iceweasel-lang-resources = %{version}
Obsoletes:	mozilla-firefox-lang-es
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_iceweaseldir	%{_datadir}/iceweasel
%define		_chromedir	%{_iceweaseldir}/chrome

%description
Spanish resources for Iceweasel.

%description -l ca.UTF-8
Recursos espanyols per Iceweasel.

%description -l es.UTF-8
Recursos españoles para Iceweasel.

%description -l pl.UTF-8
Hiszpańskie pliki językowe dla Iceweasela.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_iceweaseldir}/defaults/profile}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
sed -e 's@chrome/es-ES\.jar@es-ES.jar@' $RPM_BUILD_ROOT%{_libdir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/es-ES.manifest
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_iceweaseldir}/defaults/profile
# rebrand locale for iceweasel
cd $RPM_BUILD_ROOT%{_chromedir}
unzip es-ES.jar locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties
sed -i -e 's/Mozilla Firefox/Iceweasel/g; s/Firefox/Iceweasel/g;' \
	locale/branding/brand.dtd locale/branding/brand.properties
sed -i -e 's/Firefox/Iceweasel/g;' locale/browser/appstrings.properties
zip -0 es-ES.jar locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties
rm -f locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/es-ES.jar
%{_chromedir}/es-ES.manifest
# file conflict:
#%{_iceweaseldir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iceweasel-lang-es.spec,v $
Revision 1.25  2009/11/06 14:18:34  duddits
- up to 3.5.5

Revision 1.24  2009/10/28 11:20:35  duddits
- up to 3.5.4

Revision 1.23  2009/09/10 08:26:01  duddits
- up to 3.5.3

Revision 1.22  2009/08/04 09:16:31  duddits
- up to 3.5.2

Revision 1.21  2009/08/03 23:34:11  adamg
- updated to 3.5.2

Revision 1.20  2009/07/17 10:04:59  duddits
- up to 3.5.1

Revision 1.19  2009/07/03 23:32:02  hawk
- no need to mess with locale/browser/aboutDialog.dtd, fixes Help -> About
- release 2

Revision 1.18  2009/07/01 13:14:03  hawk
- updated to 3.5

Revision 1.17  2009/06/12 21:16:26  duddits
- up to 3.0.11

Revision 1.16  2009/04/29 09:14:57  duddits
- up to 3.0.10

Revision 1.15  2009/04/22 05:38:04  duddits
- up to 3.0.9

Revision 1.14  2009/03/27 23:35:32  duddits
- up to 3.0.8

Revision 1.13  2009/03/05 20:00:17  duddits
- up to 3.0.7

Revision 1.12  2009/02/05 08:50:14  duddits
- updated to 3.0.7

Revision 1.11  2009/01/01 12:20:28  megabajt
- fixed License information and pl

Revision 1.10  2008/12/17 11:28:20  hawk
- updated to 3.0.5

Revision 1.9  2008/11/13 11:50:25  duddits
- up to 3.0.4

Revision 1.8  2008/09/29 14:04:28  hawk
- updated to 3.0.3

Revision 1.7  2008/08/18 18:06:38  hawk
- release 3

Revision 1.6  2008/08/18 15:34:45  hawk
- killed pointless message in %post, won't work on Th anymore

Revision 1.5  2008/08/11 06:16:17  paszczus
- release 2

Revision 1.4  2008/08/09 20:54:23  paszczus
- added info about setting useragent.locale

Revision 1.3  2008/07/20 21:55:38  hawk
- updated to 3.0.1

Revision 1.2  2008/06/26 19:26:51  hawk
- O: for mozilla-firefox-lang

Revision 1.1  2008/06/25 20:46:15  hawk
- language pack for Iceweasel

